xssl_flush(3)

NAME
xssl_flush - API function

SYNOPSIS
#include <gnutls/xssl.h>

ssize_t xssl_flush(xssl_t sb);

ARGUMENTS

xssl_t sb
    is a xssl_t structure.

DESCRIPTION
This function flushes the buffer sb . All the data stored are transmitted. This function must only be used with blocking sockets.

RETURNS
On success, the number of bytes sent, otherwise a negative error code.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/